Bug 860142 - The link "Learn more about uploading code" and another link on the app get_started page pointed to a not found redhat page.
The link "Learn more about uploading code" and another link on the app get_st...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 01:23 EDT by Mengjiao Gao
Modified: 2015-05-14 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Not found page. (253.07 KB, image/png)
2012-09-25 01:23 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-09-25 01:23:17 EDT
Created attachment 616864 [details]
Not found page.

Description of problem:
The link "Learn more about uploading code" and link "on how to manage your application from the command line." on the app get_started page pointed to a not found redhat page.

Version-Release number of selected component (if applicable):
devenv_2220, product

How reproducible:
always

Steps to Reproduce:
1.Create a app.
2.Click the link "Learn more about uploading code" and link "on how to manage your application from the command line."  in the app get_started page.
3.
  
Actual results:
These two link pointed to not found pages.

Expected results:
They should pointed to the right chapters in User Guide.

Additional info:
Seems that the link "Learn more about uploading code" should be pointed to "https://access.redhat.com/knowledge/docs/en-US/OpenShift/2.0/html/User_Guide/sect-OpenShift-User_Guide-OpenShift_Web_Interface-Editing_and_Deploying_Applications.html".
and link "on how to manage your application from the command line." should be "https://access.redhat.com/knowledge/docs/en-US/OpenShift/2.0/html/User_Guide/chap-OpenShift-User_Guide-OpenShift_Command_Line_Interface.html"
Comment 1 Clayton Coleman 2012-09-25 14:05:58 EDT
Fixed in opensource_console_final 5d5b35e, will be part of fork_ami_opensource_console_ruby19_3
Comment 2 Yujie Zhang 2012-09-26 02:21:35 EDT
(In reply to comment #1)
hi, I tested this issue on fork_ami_opensource_console_ruby19_3, the "on how to manage your application from the command line" link has been fixed, but the "Learn more about uploading code" link has been deleted now , is this expected?
Comment 3 Clayton Coleman 2012-09-26 09:44:03 EDT
Yes.  I'm gradually removing links to User Guide as they become broken and either changing the text or replacing them with other links.  The learn more on uploading code wasn't terribly useful.
Comment 4 Mengjiao Gao 2012-09-26 22:21:35 EDT
Tested this issue on devenv_2240, the link "learn more on uploading code" have been removed, and the link "on how to manage your application from the command line" have pointed to the User Guide successfully.So I will put this issue to verified.

Note You need to log in before you can comment on or make changes to this bug.